Qt 5.6 | Qt Sensors | C++ Classes | QLightReading

Qt 5.6.3 Reference Documentation

# QLightReading Class

The QLightReading class represents one reading from the light sensor. More...

Header: | #include <QLightReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- lux : const qreal

- 1 property inherited from QSensorReading

## Public Functions

qreal | lux() const
void | setLux(qreal lux)

- 4 public functions inherited from QSensorReading

## Detailed Description

The QLightReading class represents one reading from the light sensor.

#### QLightReading Units

The light sensor returns the intensity of the light in lux.

## Property Documentation

### lux : const qreal

This property holds the light level.

Measured as lux.

Access functions:

qreal | lux() const

See also QLightReading Units.

## Member Function Documentation

### void QLightReading::setLux(qreal lux)

Sets the light level to lux.

See also lux().